Package org.wso2.carbon.proxyadmin

## Class MetaData

- java.lang.Object
- - org.wso2.carbon.proxyadmin.MetaData

-     public class MetaData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetaData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getEndpoints()` |
    `String[]` | `getSequences()` |
    `String[]` | `getTransports()` |
    `boolean` | `isEndpointsAvailable()` |
    `boolean` | `isSequencesAvailable()` |
    `boolean` | `isTransportsAvailable()` |
    `void` | `setEndpoints​(String[] endpoints)` |
    `void` | `setEndpointsAvailable​(boolean endpointsAvailable)` |
    `void` | `setSequences​(String[] sequences)` |
    `void` | `setSequencesAvailable​(boolean sequencesAvailable)` |
    `void` | `setTransports​(String[] transports)` |
    `void` | `setTransportsAvailable​(boolean transportsAvailable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaData

          public MetaData()

  - ### Method Detail

    - #### isTransportsAvailable

          public boolean isTransportsAvailable()

    - #### setTransportsAvailable

          public void setTransportsAvailable​(boolean transportsAvailable)

    - #### isEndpointsAvailable

          public boolean isEndpointsAvailable()

    - #### setEndpointsAvailable

          public void setEndpointsAvailable​(boolean endpointsAvailable)

    - #### isSequencesAvailable

          public boolean isSequencesAvailable()

    - #### setSequencesAvailable

          public void setSequencesAvailable​(boolean sequencesAvailable)

    - #### getTransports

          public String[] getTransports()

    - #### setTransports

          public void setTransports​(String[] transports)

    - #### getEndpoints

          public String[] getEndpoints()

    - #### setEndpoints

          public void setEndpoints​(String[] endpoints)

    - #### getSequences

          public String[] getSequences()

    - #### setSequences

          public void setSequences​(String[] sequences)